DH_CLEAN(1)

NOM
dh_clean – Nettoyer les répertoires de construction du paquet

SYNOPSIS
dh_clean [options_de_debhelper] [-k] [-d] [-Xélément] [chemin ...]

DESCRIPTION
dh_clean est le programme de la suite debhelper chargé du nettoyage. Il devrait être la dernière étape de la cible clean et les autres commandes de debhelper présument que dh_clean fera le nettoyage après elles.

Il supprime les répertoires de construction, ainsi que d'autres fichiers y compris debian/files. Il supprime aussi tous les résidus laissés par les autres commandes de debhelper, ainsi que les fichiers et répertoires communs qui ne doivent pas apparaître dans un diff Debian : #*# *~ DEADJOE *.orig *.rej *.SUMS __pycache__ TAGS .deps/* *.P *-stamp

Il n'exécute pas un « make clean » pour faire le ménage après la construction du paquet. Il faut utiliser dh_auto_clean(1) pour le faire.

FICHIERS

debian/clean
    Permet d'indiquer d'autres chemins à supprimer.

    Veuillez noter que les répertoires indiqués dans ce fichier doivent se terminer par un « slash ». Tout le contenu de ces répertoires sera supprimé.

    Les variables de substitution sont prises en charge dans les niveaux de compatibilité 13 et ultérieurs comme documenté dans debhelper(7).

OPTIONS

-k, --keep
    Ce paramètre est déconseillé. Utiliser dh_prep(1) à la place.

    L'option est supprimée dans le niveau de compatibilité 12.

-d, --dirs-only
    Ne nettoie que les répertoires de construction du paquet. Ne supprime aucun autre fichier.

-Xélément --exclude=élément
    Conserve les fichiers qui contiennent élément n'importe où dans leur nom, même s'ils auraient dû être normalement supprimés. Cette option peut être employée plusieurs fois afin d'exclure de la suppression une liste d'éléments.

chemin ...
    Supprime également les chemins listés.

    Veuillez noter que les répertoires passés comme arguments doivent se terminer par un « slash ». Tout le contenu de ces répertoires sera supprimé.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».